<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_user.php                                           ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");
	include($root_folder_path . "includes/parameters.php");

	check_admin_security("site_users");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_user.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_users_href", "admin_users.php");
	$t->set_var("admin_user_href", "admin_user.php");

	$sql = "SELECT setting_name,setting_value FROM " . $table_prefix . "global_settings WHERE setting_type='user_profile'";
	$db->query($sql);
	while($db->next_record()) {
		$user_profile[$db->f("setting_name")] = $db->f("setting_value");
	}

	$r = new VA_Record($table_prefix . "users");
	$return_page = "admin_users.php";

	$r->add_where("user_id", INTEGER);

	$r->add_textbox("login", TEXT, "Login");
	$r->parameters["login"][UNIQUE] = true;
	$r->parameters["login"][REQUIRED] = true;
	$r->parameters["login"][MIN_LENGTH] = 3;
	$r->add_textbox("password", TEXT, "Password");
	$r->parameters["password"][REQUIRED] = true;
	$r->parameters["password"][MIN_LENGTH] = 3;

	$states = get_db_values("SELECT state_code,state_name FROM " . $table_prefix . "states", array(array("", "Non US")));
	$countries = get_db_values("SELECT country_code,country_name FROM " . $table_prefix . "countries", array(array("", "Select Country")));


	$r->add_textbox("name", TEXT, "Name");
	$r->change_property("name", USE_SQL_NULL, false);
	$r->add_textbox("first_name", TEXT, "First Name");
	$r->change_property("first_name", USE_SQL_NULL, false);
	$r->add_textbox("last_name", TEXT, "Last Name");
	$r->change_property("last_name", USE_SQL_NULL, false);
	$r->add_textbox("company_name", TEXT, "Company Name");
	$r->add_textbox("email", TEXT, "Email");
	$r->change_property("email", USE_SQL_NULL, false);
	$r->change_property("email", REGEXP_MASK, EMAIL_REGEXP);
	$r->add_textbox("address1", TEXT, "Street Address 1");
	$r->add_textbox("address2", TEXT, "Street Address 2");
	$r->add_textbox("city", TEXT, "City");
	$r->add_textbox("province", TEXT, "Province");
	$r->add_select("state_code", TEXT, $states, "State");
	$r->add_textbox("zip", TEXT, "Zip");
	$r->add_select("country_code", TEXT, $countries, "Country");
	$r->add_textbox("phone", TEXT, "Phone");
	$r->add_textbox("daytime_phone", TEXT, "Daytime Phone");
	$r->add_textbox("evening_phone", TEXT, "Evening Phone");
	$r->add_textbox("cell_phone", TEXT, "Cell Phone");
	$r->add_textbox("fax", TEXT, "Fax");

	$r->add_textbox("delivery_name", TEXT, "Delivery Name");
	$r->add_textbox("delivery_first_name", TEXT, "Delivery First Name");
	$r->add_textbox("delivery_last_name", TEXT, "Delivery Last Name");
	$r->add_textbox("delivery_company_name", TEXT, "Delivery Company Name");
	$r->add_textbox("delivery_email", TEXT, "Delivery Email");
	$r->change_property("delivery_email", REGEXP_MASK, EMAIL_REGEXP);
	$r->add_textbox("delivery_address1", TEXT, "Delivery Street Address 1");
	$r->add_textbox("delivery_address2", TEXT, "Delivery Street Address 2");
	$r->add_textbox("delivery_city", TEXT, "Delivery City");
	$r->add_textbox("delivery_province", TEXT, "Delivery Province");
	$r->add_select("delivery_state_code", TEXT, $states, "Delivery State");
	$r->add_textbox("delivery_zip", TEXT, "Delivery Zip");
	$r->add_select("delivery_country_code", TEXT, $countries, "Delivery Country");
	$r->add_textbox("delivery_phone", TEXT, "Delivery Phone");
	$r->add_textbox("delivery_daytime_phone", TEXT, "Delivery Daytime Phone");
	$r->add_textbox("delivery_evening_phone", TEXT, "Delivery Evening Phone");
	$r->add_textbox("delivery_cell_phone", TEXT, "Delivery Cell Phone");
	$r->add_textbox("delivery_fax", TEXT, "Delivery Fax");

	$personal_number = 0;
	$delivery_number = 0;
	for($i = 0; $i < sizeof($parameters); $i++)
	{                                    
		if($user_profile["show_" . $parameters[$i]] == 1) {
			$personal_number++;
			if($user_profile[$parameters[$i] . "_required"] == 1) {
				$r->parameters[$parameters[$i]][REQUIRED] = true;
			}
		} else {
			$r->parameters[$parameters[$i]][SHOW] = false;
		}
		if($user_profile["show_delivery_" . $parameters[$i]] == 1) {
			$delivery_number++;
			if($user_profile["delivery_" . $parameters[$i] . "_required"] == 1) {
				$r->parameters["delivery_" . $parameters[$i]][REQUIRED] = true;
			}
		} else {
			$r->parameters["delivery_" . $parameters[$i]][SHOW] = false;
		}
	}

	$r->add_checkbox("same_as_personal", INTEGER);
	$r->change_property("same_as_personal", USE_IN_SELECT, false);
	$r->change_property("same_as_personal", USE_IN_INSERT, false);
	$r->change_property("same_as_personal", USE_IN_UPDATE, false);
	if($personal_number < 1 || $delivery_number < 1) {
		$r->parameters["same_as_personal"][SHOW] = false;
	}

	$r->get_form_parameters();
	$operation = get_param("operation");
	$user_id = get_param("user_id");

	if(strlen($operation))
	{
		if($operation == "cancel")
		{
			header("Location: " . $return_page);
			exit;
		}
		else if($operation == "delete" && $user_id)
		{
			$db->query("DELETE FROM " . $table_prefix . "users WHERE user_id=" . $db->tosql($user_id, INTEGER));		
			header("Location: " . $return_page);
			exit;
		}

		if($r->get_value("same_as_personal")) {
			for($i = 0; $i < sizeof($parameters); $i++) { 
				if($user_profile["show_delivery_" . $parameters[$i]] == 1 && $user_profile["show_" . $parameters[$i]] == 1) {
					$r->set_value("delivery_" . $parameters[$i], $r->get_value($parameters[$i]));
				}
			}
		}

		$r->validate();

		if(!strlen($r->errors))
		{
			if(strlen($user_id)) {
				$r->update_record();
			} else {
				$r->insert_record();
			}
			header("Location: " . $return_page);
			exit;
		}
	}
	else if(strlen($user_id))
	{
		$r->get_db_values();
	}
	else // new record (set default values)
	{
	}

	$t->set_var("return_page", htmlspecialchars($return_page));
	$r->set_form_parameters();

	if($personal_number > 0)
		$t->parse("personal", false);
	else
		$t->set_var("personal", "");

	if($delivery_number > 0)
		$t->parse("delivery", false);
	else
		$t->set_var("delivery", "");

	if(strlen($user_id))	
	{
		$t->set_var("save_button", "Update");
		$t->parse("delete", false);	
	}
	else
	{
		$t->set_var("save_button", "Add User");
		$t->set_var("delete", "");	
	}

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>
