<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  credit_card_info.php                                     ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./includes/common.php");
	include("./includes/record.php");
	include("./includes/shopping_cart.php");
	include("./includes/order_items.php");
	include("./includes/date_functions.php");
	include_once ("./messages/".$language_code."/cart_messages.php");

	$order_errors = check_order();

	$currency_left = ""; $currency_right = "";
	if($settings["currency_position"] == 1)
		$currency_left = $settings["currency_sign"];
	else if($settings["currency_position"] == 2)
		$currency_right = $settings["currency_sign"];

  $t = new VA_Template("./js");
  $t->set_file("cc_js","cc.js");
	$t->parse("cc_js", false);

	$t->templates_path = $settings["templates_dir"];
  $t->set_file("main","credit_card_info.html");
	$t->set_var("site_url", $settings["site_url"]);

	$t->set_var("CHECKOUT_PAYMENT_TITLE", CHECKOUT_PAYMENT_TITLE);     
	$t->set_var("CART_TITLE",          CART_TITLE);     
	$t->set_var("EMPTY_CART_MSG",      EMPTY_CART_MSG);     
	$t->set_var("PROD_TITLE_COLUMN",   PROD_TITLE_COLUMN);     
	$t->set_var("PROD_QTY_COLUMN",     PROD_QTY_COLUMN);         
	$t->set_var("PROD_PRICE_COLUMN",   PROD_PRICE_COLUMN);       
	$t->set_var("PROD_TOTAL_COLUMN",   PROD_TOTAL_COLUMN);  
	$t->set_var("GOODS_TOTAL_MSG",     GOODS_TOTAL_MSG); 
	$t->set_var("CART_TOTAL_MSG",      CART_TOTAL_MSG);     

	$t->set_var("CC_NAME_FIELD",         CC_NAME_FIELD);
	$t->set_var("CC_NAME_DESC",          CC_NAME_DESC);
	$t->set_var("CC_NUMBER_FIELD",       CC_NUMBER_FIELD);
	$t->set_var("CC_START_DATE_FIELD",   CC_START_DATE_FIELD);
	$t->set_var("CC_EXPIRY_DATE_FIELD",  CC_EXPIRY_DATE_FIELD);
	$t->set_var("CC_TYPE_FIELD",         CC_TYPE_FIELD);
	$t->set_var("CC_ISSUE_NUMBER_FIELD", CC_ISSUE_NUMBER_FIELD);
	$t->set_var("CC_ISSUE_NUMBER_DESC",  CC_ISSUE_NUMBER_DESC);
	$t->set_var("CC_SECURITY_CODE_FIELD",CC_SECURITY_CODE_FIELD);
	$t->set_var("PAY_WITHOUT_CC_MSG",    PAY_WITHOUT_CC_MSG);
	$t->set_var("PAY_WITHOUT_CC_FIELD",  PAY_WITHOUT_CC_FIELD);
	$t->set_var("PAY_WITHOUT_CC_DESC",   PAY_WITHOUT_CC_DESC);

	$t->set_var("CONTINUE_BUTTON",    CONTINUE_BUTTON);

	$t->set_var("credit_card_info", "credit_card_info.php");
	$t->set_var("vc", htmlspecialchars(get_param("vc")));

	$cc_parameters = array(
		"cc_name", "cc_number", "cc_start_date", "cc_expiry_date", 
		"cc_type", "cc_issue_number", "cc_security_code"
	);

	$sql = "SELECT setting_name,setting_value FROM " . $table_prefix . "global_settings WHERE setting_type='credit_card_info'";
	$db->query($sql);
	while($db->next_record()) {
		$cc_info[$db->f("setting_name")] = $db->f("setting_value");
	}

	$order_id = get_param("order_id");
	$r = new VA_Record($table_prefix . "orders");
	$r->errors = $order_errors;

	$r->add_where("order_id", INTEGER);
	$r->add_textbox("order_status", INTEGER);

	$r->add_textbox("cc_name", TEXT, CC_NAME_FIELD);
	$r->add_textbox("cc_number", TEXT, CC_NUMBER_FIELD);
	$r->parameters["cc_number"][MIN_LENGTH] = 10;
	$r->add_textbox("cc_start_date", DATETIME, CC_START_DATE_FIELD);
	$r->change_property("cc_start_date", VALUE_MASK, array("MM", " / ", "YYYY"));
	$r->add_textbox("cc_expiry_date", DATETIME, CC_EXPIRY_DATE_FIELD);
	$r->change_property("cc_expiry_date", VALUE_MASK, array("MM", " / ", "YYYY"));
	$credit_cards = get_db_values("SELECT * FROM " . $table_prefix . "credit_cards", array(array("", PLEASE_CHOOSE_MSG)));
	$r->add_select("cc_type", INTEGER, $credit_cards, CC_TYPE_FIELD);
	$issue_numbers = get_db_values("SELECT issue_number AS issue_value, issue_number AS issue_description FROM " . $table_prefix . "issue_numbers", array(array("", NOT_AVAILABLE_MSG)));
	$r->add_select("cc_issue_number", INTEGER, $issue_numbers, CC_ISSUE_NUMBER_FIELD);
	$r->add_textbox("cc_security_code", TEXT, CC_SECURITY_CODE_FIELD);

	$cc_number = 0;
	for($i = 0; $i < sizeof($cc_parameters); $i++)
	{                                    
		if($cc_info["show_" . $cc_parameters[$i]] == 1) {
			$cc_number++;
			if($cc_info[$cc_parameters[$i] . "_required"] == 1) {
				$r->parameters[$cc_parameters[$i]][REQUIRED] = true;
			}
		} else {
			$r->parameters[$cc_parameters[$i]][SHOW] = false;
		}
	}

	$r->add_textbox("pay_without_cc", TEXT, PAY_WITHOUT_CC_FIELD);
	if ($cc_info["show_pay_without_cc"] != 1) {
		$r->parameters["pay_without_cc"][SHOW] = false;
	} else if ($cc_info["pay_without_cc_required"] == 1) {
		$r->parameters["pay_without_cc"][REQUIRED] = true;
	}

	$r->add_checkbox("pass_cc", INTEGER);
	$r->parameters["pass_cc"][USE_IN_SELECT] = false;
	$r->parameters["pass_cc"][USE_IN_INSERT] = false;
	$r->parameters["pass_cc"][USE_IN_UPDATE] = false;

	$r->get_form_values();

	$cc_start_year   = get_param("cc_start_year");
	$cc_start_month  = get_param("cc_start_month");
	$cc_expiry_year  = get_param("cc_expiry_year");
	$cc_expiry_month = get_param("cc_expiry_month");

	$pass_cc  = get_param("pass_cc");
	$action   = get_param("action");
	$order_id = get_param("order_id");
	$vc       = get_param("vc");

	$return_page = "order_confirmation.php";
	$return_page .= "?order_id=" . urlencode($order_id) . "&vc=" . urlencode($vc);
	$items_text = "";

	if(!$cc_number && !$cc_info["show_pay_without_cc"])
	{
		header("Location: " . $return_page);
		exit;
	}

	if(strlen($cc_start_year) && strlen($cc_start_month)) {
		$r->set_value("cc_start_date", array($cc_start_year, $cc_start_month, 1, 0, 0, 0));
	}

	if(strlen($cc_expiry_year) && strlen($cc_expiry_month)) {
		$r->set_value("cc_expiry_date", array($cc_expiry_year, $cc_expiry_month, 1, 0, 0, 0));
	}

	$r->set_value("order_status", 2);


	if(strlen($action))
	{

		if($r->is_empty("order_id"))
			$r->errors .= "Missing <b>Order number</b>.<br>";

		if(get_param("pass_cc")) {
			$r->parameters["cc_number"][MIN_LENGTH] = "";
			for($i = 0; $i < sizeof($cc_parameters); $i++) {                                    
				$r->parameters[$cc_parameters[$i]][REQUIRED] = false;
			}
		} else if ($cc_number) {
			$r->parameters["pay_without_cc"][REQUIRED] = false;
		}

		$r->validate();

		if(!strlen($r->errors))
		{
			if($cc_info["show_pay_without_cc"] && !get_param("pass_cc") && $cc_number)
				$r->set_value("pay_without_cc", "");
			if(!get_param("pass_cc") && $cc_info["cc_number_split"])
			{
				$cc_number = $r->get_value("cc_number");
				$cc_number_len = strlen($cc_number);
				if($cc_number_len > 4)
				{
					set_session("cc_number_last", substr($cc_number, $cc_number_len - 4));
					$r->set_value("cc_number", substr($cc_number, 0, $cc_number_len - 4) . "****");
				}
			}

			if($r->update_record())
			{
				if($cc_info["admin_notification"])
				{
					$items_text = show_order_items($order_id);
					$t->set_var("cc_number_last", get_session("cc_number_last"));
					$t->set_block("admin_subject", $cc_info["admin_subject"]);
					$t->set_block("admin_message", $cc_info["admin_message"]);

					$mail_to = get_setting_value($cc_info, "admin_email", $settings["admin_email"]);
					$mail_from = get_setting_value($cc_info, "admin_mail_from", $settings["admin_email"]);
					$mail_cc = get_setting_value($cc_info, "cc_emails");
					$mail_bcc = get_setting_value($cc_info, "admin_mail_bcc");
					$mail_reply_to = get_setting_value($cc_info, "admin_mail_reply_to");
					$mail_return_path = get_setting_value($cc_info, "admin_mail_return_path");
					$mail_type = get_setting_value($cc_info, "admin_message_type");
					$email_headers = get_email_headers($mail_from, $mail_cc, $mail_bcc, $mail_reply_to, $mail_return_path, $mail_type);

					if (!$mail_type) {
						$t->set_var("basket", $items_text);
						$t->set_var("items", $items_text);
					}

					$sql = "SELECT * FROM " . $table_prefix . "orders WHERE order_id=" . $db->tosql($order_id, INTEGER);
					$db->query($sql);
					$db->next_record();
					$t->set_vars($db->Record);
					$t->set_var("goods_total", $currency_left . number_format($db->f("goods_total"), 2) . $currency_right);
					$t->set_var("shipping_cost", $currency_left . number_format($db->f("shipping_cost"), 2) . $currency_right);
					$t->set_var("tax_percent", number_format($db->f("tax_percent"), 2) . "%");
					$order_placed_date = $db->f("order_placed_date", DATETIME);
					$order_placed_date_string = va_date($datetime_show_format, $order_placed_date);
					$t->set_var("order_placed_date", $order_placed_date_string);
					$state_code = $db->f("state_code");
					$country_code = $db->f("country_code");
					$delivery_state_code = $db->f("delivery_state_code");
					$delivery_country_code = $db->f("delivery_country_code");
					$state = get_db_value("SELECT state_name FROM " . $table_prefix . "states WHERE state_code=" . $db->tosql($state_code, TEXT));
					$delivery_state = get_db_value("SELECT state_name FROM " . $table_prefix . "states WHERE state_code=" . $db->tosql($delivery_state_code, TEXT));
					$country = get_db_value("SELECT country_name FROM " . $table_prefix . "countries WHERE country_code=" . $db->tosql($country_code, TEXT));
					$delivery_country = get_db_value("SELECT country_name FROM " . $table_prefix . "countries WHERE country_code=" . $db->tosql($delivery_country_code, TEXT));

					$t->set_var("state", $state);
					$t->set_var("country", $country);
					$t->set_var("delivery_state", $delivery_state);
					$t->set_var("delivery_country", $delivery_country);

					$cc_type = get_array_value($r->get_value("cc_type"), $credit_cards); 
					$t->set_var("cc_type", $cc_type);
					$cc_start = va_date(array("MM", " / ", "YYYY"), $r->get_value("cc_start_date"));
					$cc_expiry = va_date(array("MM", " / ", "YYYY"), $r->get_value("cc_expiry_date"));
					$t->set_var("cc_start_date", $cc_start);
					$t->set_var("cc_expiry_date", $cc_expiry);


					$t->parse("admin_subject", false);
					$t->parse("admin_message", false);
					$admin_message = str_replace("\r", "", $t->get_var("admin_message"));
					mail($mail_to, $t->get_var("admin_subject"), $admin_message, $email_headers);
				}		 
			}
			header("Location: " . $return_page);
			exit;
		}
	}/* if user can update his order details
	else if($order_id) // get user details from order
	{
		$sql = " SELECT * FROM " . $table_prefix . "orders WHERE order_id=" . $db->tosql($order_id, INTEGER);
		$db->query($sql);
		if($db->next_record())
		{
			for($i = 0; $i < sizeof($cc_parameters); $i++) { 
				$r->set_value($cc_parameters[$i], $db->f($cc_parameters[$i]));
				$r->set_value("delivery_" . $cc_parameters[$i], $db->f("delivery_" . $cc_parameters[$i]));
			}
		}
	}*/
	if(!$order_errors) {
		$items_text = show_order_items($order_id);
	}

	$cc_start_years = get_db_values("SELECT start_year AS year_value, start_year AS year_description FROM " . $table_prefix . "cc_start_years", array(array("", YEAR_MSG)));
	$cc_expiry_years = get_db_values("SELECT expiry_year AS year_value, expiry_year AS year_description FROM " . $table_prefix . "cc_expiry_years", array(array("", YEAR_MSG)));
	set_options($cc_start_years, $cc_start_year, "cc_start_year");
	set_options($cc_expiry_years, $cc_expiry_year, "cc_expiry_year");

	$cc_months = array_merge (array(array("", MONTH_MSG)), $months);
	set_options($cc_months, $cc_start_month, "cc_start_month");
	set_options($cc_months, $cc_expiry_month, "cc_expiry_month");

	for($i = 0; $i < sizeof($cc_parameters); $i++)
	{                                    
		if($cc_info[$cc_parameters[$i] . "_required"] == 1) {
			$r->parameters[$cc_parameters[$i]][REQUIRED] = true;
		}
	}

	if ($cc_info["pay_without_cc_required"] == 1) {
		$r->parameters["pay_without_cc"][REQUIRED] = true;
	}

	$r->set_parameters();

	if($r->parameters["pay_without_cc"][SHOW] && $cc_number) {
		$t->parse("pay_without_cc_checkbox", false);
	}

	if(strlen(trim($cc_info["intro_text"])))
	{
		$t->set_var("intro_text", $cc_info["intro_text"]);
		$t->parse("intro_block", false);
	}

	include("./header.php");
	include("./footer.php");

	$t->pparse("main");

?>